API Explorer 935 endpoints

Get Connector Methods (with provenance)

GET /obp/v7.0.0/management/connector-methods

OBPv7.0.0-getConnectorMethodsProvenance Roles: CanGetAllConnectorMethods Connector-Method

Returns all Connector Methods, each wrapped with a provenance object recording who created / last updated the runtime-compiled code and a SHA-256 of its programming language and method body.

This is the v7.0.0 read view of the v4.0.0 Connector Methods; create / update remain on v4.0.0.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

JSON response body fields (1)
connector_methods
connector_methods
Example success response
{
  "connector_methods": []
}
Possible errors (3)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-50000: Unknown Error.
Implemented by OBPv7.0.0 getConnectorMethodsProvenance